// Code generated by mockery v2.9.4. DO NOT EDIT.

package datamock

import (
	context "context"

	mock "github.com/stretchr/testify/mock"
	data "gitlab.com/my-group322/pictures/pics-svc/internal/data"
)

// PicturesQCloner is an autogenerated mock type for the PicturesQCloner type
type PicturesQCloner struct {
	mock.Mock
}

// Clone provides a mock function with given fields: ctx
func (_m *PicturesQCloner) Clone(ctx context.Context) data.PicturesQ {
	ret := _m.Called(ctx)

	var r0 data.PicturesQ
	if rf, ok := ret.Get(0).(func(context.Context) data.PicturesQ); ok {
		r0 = rf(ctx)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(data.PicturesQ)
		}
	}

	return r0
}
